<?php

namespace GriffinForms\Admin\Html\Elements;

class SpinnerOverlay extends \GriffinForms\Admin\Html\Format
{
    public function html()
    {
        echo '<div class="griffinforms-spinner-overlay d-flex flex-wrap align-content-center justify-content-center">';
        echo '<div class="griffinforms-spinner-wrapper rounded p-3 border text-center shadow bg-white">';
        echo '<div class="griffinforms-spinner-percent my-2">0%</div>';
        echo '<div class="progress" style="height: 5px;">';
        echo '<div class="progress-bar" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: 0%">';
        echo '</div></div>';
        echo '<div class="griffinforms-spinner-text text-muted my-2">Hold on a moment...</div>';
        echo '<div class="griffinforms-spinner-message my-2">Please wait...</div>';
        echo '</div></div>';
        
        
    }
    
    public function __construct()
    {
        $this->setAll();
    }
}